Ir al centro de documentación
Contact technical support![]()
Página anterior Página siguiente
POST http://IP-address:port/prefix/grpc
Get list of all groups
Request body:
{
"method": "AxxonSoft.bl.groups.GroupManager.ListGroups",
"data": {
"view": "VIEW_MODE_TREE"
}
}
Get info about certain group
{
"method": "AxxonSoft.bl.groups.GroupManager.BatchGetGroups",
"data": {
"group_ids": ["5229f799-b8d8-9045-90e8-7e0e78bcd719"],
"with_sub_groups": true
}
}
Create a group
{
"method": "AxxonSoft.bl.groups.GroupManager.ChangeGroups",
"data": {
"added_groups": {
"group_id":"01e42aac-30f9-3d4b-8bb1-6ef60e215a6d",
"name":"Edited group",
"description":"postman"
}
}
}
Edit a group
{
"method": "AxxonSoft.bl.groups.GroupManager.ChangeGroups",
"data": {
"changed_groups_info": {
"group_id":"01e42aac-30f9-3d4b-8bb1-6ef60e215a7d",
"parent":"e2f20843-7ce5-d04c-8a4f-826e8b16d39c"
}
}
}
Delete a group
{
"method": "AxxonSoft.bl.groups.GroupManager.ChangeGroups",
"data": {
"removed_groups":"b7d2fc67-6125-b341-800f-5f1747946788"
}
}
Add a camera to the group
{
"method": "AxxonSoft.bl.groups.GroupManager.SetObjectsMembership",
"data": {
"added_objects":{
"group_id":"01e42aac-30f9-3d4b-8bb1-6ef60e215a6d",
"object":"hosts/Server1/DeviceIpint.10/SourceEndpoint.video:0:0"
}
}
}
Delete a camera from the group
{
"method": "AxxonSoft.bl.groups.GroupManager.SetObjectsMembership",
"data": {
"removed_objects":{
"group_id":"01e42aac-30f9-3d4b-8bb1-6ef60e215a6d",
"object":"hosts/Server1/DeviceIpint.10/SourceEndpoint.video:0:0"
}
}
}